import type { APIGatewayProxyEventHeaders } from 'aws-lambda';
export declare const corsHeaders: ({ headers, }: {
    headers: APIGatewayProxyEventHeaders;
}, allowedMethods?: string[], cacheForSeconds?: number) => {
    "Access-Control-Allow-Credentials": true;
    "Access-Control-Allow-Headers": string;
    "Access-Control-Expose-Headers": string;
    "Access-Control-Allow-Methods": string;
    "Access-Control-Allow-Origin": string;
    "Access-Control-Max-Age": number;
    Vary: "Origin";
};
